%global momorel 4

Name:           perl-Web-Scraper
Version:        0.32
Release:        %{momorel}m%{?dist}
Summary:        Web Scraping Toolkit inspired by Scrapi
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Web-Scraper/
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/Web-Scraper-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-HTML-Parser
BuildRequires:  perl-HTML-Selector-XPath
BuildRequires:  perl-HTML-Tagset
BuildRequires:	perl-HTML-TreeBuilder-LibXML >= 0.04
BuildRequires:  perl-HTML-TreeBuilder-XPath >= 0.08
BuildRequires:  perl-HTTP-Response-Encoding
BuildRequires:  perl-libwww-perl >= 5.827
BuildRequires:  perl-URI
BuildRequires:  perl-XML-XPathEngine >= 0.08
BuildRequires:  perl-YAML
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Web::Scraper is a web scraper toolkit, inspired by Ruby's equivalent
Scrapi.

%prep
%setup -q -n Web-Scraper-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Web/*
%{_mandir}/man3/*
%{_bindir}/scraper

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.32-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.32-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.32-2m)
- rebuild against perl-5.12.0

* Sat Feb  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.32-1m)
- update to 0.32

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.31-5m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.31-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct 22 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.31-3m)
- add BuildRequires:  perl-libwww-perl >= 5.827

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.31-2m)
- rebuild against perl-5.10.1

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linuxxorg>
- (0.31-1m)
- update to 0.31

* Sun Mar 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.28-1m)
- update to 0.28

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.26-2m)
- rebuild against rpm-4.6

* Sun Jan 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.26-1m)
- update to 0.26

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.24-2m)
- rebuild against gcc43

* Mon Nov 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.24-1m)
- update to 0.24

* Sun Nov 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.23-1m)
- update to 0.23

* Thu Oct 18 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.22-1m)
- update to 0.22

* Wed Oct 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.21-1m)
- update to 0.21

* Wed Oct 03 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
